Name:           guile-zstd
Version:        0.1.1
Release:        1%{?dist}
Summary:        Guile bindings for zstd

License:        GPL-3.0-or-later  
URL:            https://notabug.org/guile-zstd/guile-zstd
Source0:        https://notabug.org/guile-zstd/guile-zstd/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  autoconf, automake, make, gcc
BuildRequires:  pkgconfig(guile-3.0), pkgconfig(libzstd)
Requires:       guile30, libzstd-devel

%global guile_site_dir %(pkg-config --variable sitedir guile-3.0)
%global guile_ccache_dir %(pkg-config --variable siteccachedir guile-3.0)
%global debug_package %{nil}

%description
This package provides a GNU Guile interface to the zstd (``zstandard'')
compression library.

%prep
%autosetup -n %{name}


%build
autoreconf -vif
%configure
%make_build


%install
%make_install

%check
%{__make} %{?_smp_mflags} check

%files
%license COPYING
%doc AUTHORS ChangeLog NEWS README

%{guile_site_dir}/zstd.scm
%{guile_ccache_dir}/zstd.go
%{guile_site_dir}/zstd/config.scm
%{guile_ccache_dir}/zstd/config.go

%changelog
%autochangelog
